Bug 433866 - mock isn't working on ppc
mock isn't working on ppc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
9
powerpc Linux
high Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 15:45 EST by Tom Lane
Modified: 2013-07-02 23:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2008-02-21 15:45:46 EST
Description of problem:
currrent mock fails completely on ppc.  This might be really a python issue, please reassign if so.

Version-Release number of selected component (if applicable):
mock-0.9.7-1.fc9.noarch
python-2.5.1-21.fc9.ppc

How reproducible:
100%

Steps to Reproduce:
1.   sudo -u mockbuilder mock some-src-rpm
  
Actual results:
Traceback (most recent call last):
  File "/usr/sbin/mock", line 63, in <module>
    import mock.backend
  File "/usr/lib/python2.5/site-packages/mock/backend.py", line 18, in <module>
    import mock.util
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 9, in <module>
    import ctypes
  File "/usr/lib/python2.5/ctypes/__init__.py", line 10, in <module>
    from _ctypes import Union, Structure, Array
ImportError: /usr/lib/python2.5/lib-dynload/_ctypes.so: cannot enable executable stack as shared object requires: Permission 
denied

Expected results:
... a build ...

Additional info:
system is up to date as of yesterday's rawhide
Comment 1 Jesse Keating 2008-02-21 17:35:30 EST
Hrm, seems like the library thinks it's needs execmem, and I bet selinux is
denying it.  That's somewhat disturbing as that message is coming out of python,
not mock.

We had this problem a while ago and had to rebuild a bunch of ppc packages due
to a glibc error.  I hope this doesn't happen again.
Comment 2 James Antill 2008-02-21 23:19:19 EST
 Note that python didn't make it through the mass rebuild for 4.3 (due to tcl),
so _maybe_ that's the problem? Try again now, as it's just finishing going
through (460271)?

 If that fails, then I'm pretty sure python didn't change anything so my first
suspect would be the tool chain ... but I'm happy to look at it with you
tomorrow, ping me.
Comment 3 Bug Zapper 2008-05-14 01:19:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:36:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:44:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.